#
# spec file for package opensuse-updater-gnome (Version 0.4.5)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    ConsoleKit ConsoleKit-32bit Mesa Mesa-devel PolicyKit aaa_base acl alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs audit-libs-32bit autoconf automake avahi avahi-devel avahi-glib bash binutils bzip2 cairo cairo-devel cmake coreutils cpio cpp cpp42 cracklib cracklib-32bit cups-libs curl-ca-bundle cvs cyrus-sasl dbus-1 dbus-1-32bit dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils esound esound-devel fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gail-lang gawk gcc gcc42 gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-keyring gnome-keyring-devel gnome-keyring-lang gnome-vfs2 gnome-vfs2-devel gnome-vfs2-lang grep groff gtk2 gtk2-devel gzip hal hal-devel hicolor-icon-theme info insserv keyutils-libs krb5 less libacl libart_lgpl libart_lgpl-devel libasound2 libattr libblkid-devel libblkid1 libbonobo libbonobo-devel libbonobo-lang libbonoboui libbonoboui-devel libbonoboui-lang libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libcurl4 libdaemon libdb-4_5 libdb-4_5-32bit libdrm libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libglade2 libglade2-devel libgnome libgnome-devel libgnome-lang libgnomecanvas libgnomecanvas-devel libgnomecanvas-lang libgnomesu libgnomesu-devel libgnomesu-lang libgnomeui libgnomeui-devel libgnomeui-lang libgomp42 libgpg-error libidn libjpeg libjpeg-devel libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbios-libs libstdc++42 libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libxcrypt libxcrypt-32bit libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg nss-mdns nss-mdns-32bit openldap2-client openssl-certs orbit2 orbit2-devel pam pam-32bit pam-config pam-modules pango pango-devel parted patch perl perl-base permissions pkg-config pmtools popt popt-devel pwdutils rpm sed setserial sysvinit tar tcpd texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           opensuse-updater-gnome
BuildRequires:  fdupes libbonoboui-devel libglade2-devel libgnome-devel libgnomesu-devel libgnomeui-devel
BuildRequires:  cmake gettext pkg-config sed
#BuildRequires:  update-desktop-files
License:        GPL v2 or later
Group:          System/Packages
Summary:        GNOME Updater Applet for OpenSUSE
Version:        0.4.5
Release:        0.1
Url:            http://en.opensuse.org/GNOME_Updater_Applet
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         /usr
Source0:        %{name}-%{version}.tar.bz2
Requires:       zypper >= 0.8.22
Requires:       libglade2 libgnome gnome-panel libgnomesu
# No translations yet.
# Requires:       %{name}-lang = %{version}

%description
Simple GNOME application and applet which checks for available online
updates, alerts the user if there are any updates available and lists
these for a quick overview.

The application uses a selected back-end tool to do the check, perform
the actual update and to manipulate the repositories. By default, the
ZYPP back-end is used, with YaST Online Update for performing the
update and YaST Software Repositories to manipulate the repositories.



Authors:
--------
    Jan Kupec <jkupec@novell.com>

%debug_package
%prep
%setup -q -n opensuse-updater-gnome-%{version} 

%build
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=%{prefix} \
      -DLIB=%{_lib} \
      -DCMAKE_C_FLAGS="%{optflags}" \
      -DCMAKE_CXX_FLAGS="%{optflags}" \
      -DCMAKE_BUILD_TYPE=Release \
      ..
make
# make %{?jobs:-j %jobs}
#make -C po %{?jobs:-j %jobs} translations

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT
#make -C po install DESTDIR=$RPM_BUILD_ROOT
# suse_update_desktop_file opensuseupdater-gnome
#cd ..
# create file list with translations
# No translations yet
#%find_lang opensuse-updater-gnome
%fdupes $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT
#-f opensuseupdater-gnome.lang

%files 
%defattr(-,root,root)
%{prefix}/bin/opensuse-updater-gnome
%{prefix}/bin/opensuse-updater-gnome-applet
%{_sbindir}/updater-zypper-gui
#%{prefix}/%{_lib}/bonobo/servers/OpenSUSEUpdaterApplet.server
%{prefix}/share/gnome/autostart/opensuse-updater-applet.desktop
%{prefix}/share/opensuse-updater-gnome
# No translations yet
#%files lang -f %{name}.lang
%changelog
* Tue Oct 02 2007 - jkress@suse.de
- src/zypp/updater-zypper-gui.c (parse_output): Don't check the
  response value from gtk_dialog_run() on the status dialogs; the
  program should always terminate after the dialog is presented.
  (Federico Mena Quintero) (#328048)
- src/zypp/updater-zypper-gui.c (read_output): Exit the main loop
  when we cannot read any more lines, so that the program will
  terminate when the child process is done.
  (Federico Mena Quintero) (#328048)
- src/updater-applet-support.c: restart of applet is now cleaner
  not leaving the respawn process open (essentially a typo)
- src/zypp/updater-zypper-gui.c: removed /tmp crazyness, fixing
  bug #327370
- src/zypp/updater-zypper-gui.c: handling of error messages in
  xml output (#328048)
- src/zypp/updater-zypper-gui.c: showing success dialog when
  doing packages w/o any optional patches (#328048)
- ready for patch
- v0.4.5
* Wed Sep 19 2007 - jkress@suse.de
- changed call from sw_single back to online_update
  therefore fixing bug #326244
- r7299
* Tue Sep 18 2007 - jkress@suse.de
- Added --force to zypper in
- r7295
- v0.4.4
* Mon Sep 17 2007 - jkress@suse.de
- Updated icons (jimmac@novell.com)
- Various fixes
- Tooltips
- i18n
- r7274
- v0.4.3
* Mon Sep 03 2007 - jkress@suse.de
- affects-package-manager patches handled properly
- fixed memory problem
- r7097
- v0.4.2
* Mon Sep 03 2007 - jkress@suse.de
- took care of yet another Gtk-CRITICAL
* Mon Sep 03 2007 - jkress@suse.de
- fixed bug #306700
- r7075
* Mon Sep 03 2007 - jkress@suse.de
- fixed bug #300461: No more SIGABRT on quitting
- fixed all Gtk-CRITICAL messages on quitting
- fixed all GLib-critical messages on quitting
- removed all g_prints connected to these problems
- r7073
* Thu Aug 30 2007 - jkress@suse.de
- fixed segfault
- fixed callback errors
- fixed classification errors
- install-gui hanging when no packages are to be installed
- r7032
- 0.4.1
* Thu Aug 30 2007 - jkress@suse.de
- Changes in classifiaction code
- All callbacks for simple view
- simple view reacts immediately to user interaction
- r7015
* Wed Aug 29 2007 - jkress@suse.de
- made check_now a proper function that can be called from
  everywhere
- applet checks for updates on startup (e.g. on log-in)
- applet checks for updates at given interval
- r6987
* Wed Aug 29 2007 - jkress@suse.de
- fixed blocker #299779
- fixed critical #303819
- several other bug fixes
- r6955
- r6961
* Mon Aug 20 2007 - jkress@suse.de
- refactored to use zypper for installation
- several UI improvements
- 0.4.0
* Tue Aug 07 2007 - maw@suse.de
- Use %%fdupes
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Wed Jun 20 2007 - rodrigo@suse.de
- No need to check if the systray is available or not, GtkStatusIcon
  does everything for us (#284849)
* Fri Jun 08 2007 - jkupec@suse.cz
- changed from a plain applet to systray applet (Rodrigo Moya)
- applet autostart .desktop file added (Rodrigo Moya)
- r 5700
- 0.3.0
* Thu Jun 07 2007 - rodrigo@suse.de
- Added opensuse-updater-gnome-use-systray.patch to make it use the
  systray instead of being an applet, like the KDE version.
* Tue Apr 10 2007 - jkupec@suse.cz
- fixed building on 64bit non-bi-archs
- r 5316
- v 0.2.2
* Mon Apr 09 2007 - jkupec@suse.cz
- fixed some memory management problems
- r5313
- v 0.2.1
* Mon Apr 09 2007 - jkupec@suse.cz
- changing applet icon according to current operation/status
  (except error status)
- r5312
* Wed Mar 21 2007 - jkupec@suse.cz
- initial version
- basic functionality with ZYPP backend implemented, not all
  use cases handled
- v 0.1.0
